Create Onramp Auth Intent
curl --request POST \
--url https://api.coinvoyage.io/v3/onramp/auth/intent \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"email": "customer@example.com",
"hashed_email": "b4c9a289323b21a01c3e940f150eb9b8c542587f1abfd8f0e1cc1ffc5e475514"
}
'import requests
url = "https://api.coinvoyage.io/v3/onramp/auth/intent"
payload = {
"email": "customer@example.com",
"hashed_email": "b4c9a289323b21a01c3e940f150eb9b8c542587f1abfd8f0e1cc1ffc5e475514"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'customer@example.com',
hashed_email: 'b4c9a289323b21a01c3e940f150eb9b8c542587f1abfd8f0e1cc1ffc5e475514'
})
};
fetch('https://api.coinvoyage.io/v3/onramp/auth/intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"expires_at": 123,
"stripe_publishable_key": "<string>"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}onramp
Create Onramp Auth Intent
Create a Stripe Link OAuth auth intent for the embedded onramp flow.
POST
/
onramp
/
auth
/
intent
Create Onramp Auth Intent
Authorizations
Headers
API key for authentication
Body
application/json
- Option 1
- Option 2
Customer email used to start Link OAuth authentication
Example:
"customer@example.com"
SHA-256 hex digest of the customer's email. Send exactly one of email or hashed_email.
Required string length:
64Example:
"b4c9a289323b21a01c3e940f150eb9b8c542587f1abfd8f0e1cc1ffc5e475514"
Was this page helpful?
⌘I